.adapts-needs {
    background: linear-gradient(180deg, #FFFFFF 0%, #C1E0FD 72.4%);
    padding: 140px 0;
}

.adapts-needs h2 {
    color: var(--n-black);
    text-align: center;
    margin-bottom: 80px;
}

.adapts-needs .items .swiper-wrapper{
    margin-bottom: 80px;
    display: flex;
    gap: 12px
}

.adapts-needs .item {
    display: flex;
    flex-direction: column;
    position: relative;
    border-radius: 20px;
    padding: 40px;
    justify-content: flex-end;
    flex-shrink: initial;
    height: 720px;
    overflow: hidden;
    box-sizing: border-box;
}

.adapts-needs .item .desktop-image {
    width: 320px;
    height: 200px;
    overflow: hidden;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
}

.adapts-needs .item .mobile-image {
    display: none;
}

.adapts-needs .item .content {
    position: relative;
    z-index: 1;
}

[dir=rtl] .adapts-needs .item .content{
    align-self: end;
}

.adapts-needs .item .content h4 {
    color: var(--n-white);
    margin-bottom: 8px;
}

.adapts-needs .item .content p {
    color: var(--n-white);
    opacity: 0.8;
}

.adapts-needs .bottom {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    background: linear-gradient(90deg, rgba(255, 255, 255, 0.7) 0%, rgba(255, 255, 255, 0.5) 100%);
    box-shadow: 0px 2px 32px 0px #228EF347;
border-radius: 20px;
padding: 60px;

}

.adapts-needs .bottom .new-download-links {
    width:  fit-content;
    gap: 12px;
}

.adapts-needs .bottom h4 {
    color: var(--n-black);
}

.adapts-needs .swiper-pagination{
    display: none;
}


@media (max-width: 1919px) {
    .adapts-needs {
        padding: 100px 0;
    }

    .adapts-needs h2 {
        margin-bottom: 60px;
    }

    .adapts-needs .items .swiper-wrapper{
        margin-bottom: 60px;
    }

    .adapts-needs .bottom {
        padding: 40px;
    }

    .adapts-needs .item {
        height: 533px;
        padding: 32px;
    }
}

@media (max-width: 1439px) {
    .adapts-needs {
        padding: 80px 0;
    }

    .adapts-needs h2 {
        margin-bottom: 48px;
    }

    .adapts-needs .items .swiper-wrapper{
        margin-bottom: 48px;
    }
   
    .adapts-needs .item {
        height: 482px;
        border-radius: 16px;
    }

    .adapts-needs .bottom {
       border-radius: 16px;
    }
}

@media (max-width: 1279px) {
    .adapts-needs {
        padding: 60px 0;
    }


    .adapts-needs .items .swiper-wrapper{
        flex-direction: column;
    }
    .adapts-needs .item .desktop-image {
        display: none;
    }

    .adapts-needs .item .mobile-image {
        display: block;
        overflow: hidden;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
        z-index: -1;

    }

    .adapts-needs .item {
        height: 300px;
        justify-content: center;
        padding: 0;
    }

    .adapts-needs .item:first-child {
        order: 3;
    } 
    .adapts-needs .item:nth-child(2) {
        order: 1;
    }
    .adapts-needs .item:nth-child(3) {
        order: 2;
    }

    .adapts-needs .item .content {
        background: linear-gradient(270deg, rgba(28, 61, 100, 0.2) 0%, rgba(17, 37, 59, 0.6) 100%);
        backdrop-filter: blur(30px);
        width: 300px;
        padding: 24px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        height: 100%;

    }

    .adapts-needs .bottom {
        padding: 32px;
    }

    .adapts-needs .bottom{
        flex-direction: column;
    }

    .adapts-needs .bottom h4 {
        text-align: center;
        margin-bottom: 32px;
    }
}

@media (max-width: 577px) {
    .adapts-needs .item {
        flex-shrink: 0;
        height: 437px;
    }

    .adapts-needs{
        position: relative;
    }

    .adapts-needs .item .content {
        max-width: 100%;
        background: transparent;
        backdrop-filter: none;
        justify-content: flex-end;
        padding: 20px 24px;
    }

    .adapts-needs .items .swiper-wrapper{
        flex-direction: row;
        margin-bottom:  32px;
      gap: 0;
    }

    .adapts-needs .items{
        position: relative;
        overflow: hidden;
    }

    .adapts-needs .item .mobile-image {
        display: none;
    }

    .adapts-needs .item .desktop-image {
        display: block;
    }

    .adapts-needs .swiper-pagination {
        margin-bottom: 48px;
        z-index: 100;
        display: block;
        position: static;
    }

    .adapts-needs .bottom {
        padding: 32px 24px;
    }

    .adapts-needs .bottom h4 br{
        display: none;
    }

    .adapts-needs .bottom h4{
        margin-bottom: 24px;
    }

    .adapts-needs .bottom .new-download-links{
        width: 100%;
    }
}